Chuyển đến nội dung
Diễn đàn CADViet
bachngoctung

Xoay một đối tượng song song với 1 đối tượng khác.. ???

Các bài được khuyến nghị

Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:

Có cái này nhưng có 1 vài hạn chế:

 

Command: al

Initializing...

Select objects: Other corner: 1 found

 

Select objects:

Specify 1st source point:

Specify 1st destination point:

Specify 2nd source point:

Specify 2nd destination point:

Specify 3rd source point or <continue>:

Scale objects to alignment points? [Yes/No] <No>:

 

Nó xoay đối tượng xong thì move cái nì về chổ đối tượng mẫu lun, bạn phài move lại nó ra.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:

Có 2 đoạn thẳng AB và CD không song song với nhau.

Xoay đường thẳng AB một góc sao cho đoạn thẳng AB song song với đoạn thẳng CD với điều kiện điểm gốc A giữ nguyên vị trí.

Bạn làm như sau :

Dùng lệnh copy đoạn thẳng CD với điểm gốc C về trùng với vị trí điểm gốc A, lúc này ta sẽ có được đoạn thẳng mới AD' song song với CD (C trùng với A).

Sau đó dùng lệnh AL (ALIGN) như bạn duy đã trình bày hoặc dùng lệnh Rotate (với lựa chọn Reference) để xoay AB về trùng với AD'. Sau đó dùng lệnh erase để xóa đoạn AD' đi. Kết quả ta sẽ có đoạn AB song song với đoạn CD

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có 2 đoạn thẳng AB và CD không song song với nhau.

Xoay đường thẳng AB một góc sao cho đoạn thẳng AB song song với đoạn thẳng CD với điều kiện điểm gốc A giữ nguyên vị trí.

Bạn làm như sau :

Dùng lệnh copy đoạn thẳng CD với điểm gốc C về trùng với vị trí điểm gốc A, lúc này ta sẽ có được đoạn thẳng mới AD' song song với CD (C trùng với A).

Sau đó dùng lệnh AL (ALIGN) như bạn duy đã trình bày hoặc dùng lệnh Rotate (với lựa chọn Reference) để xoay AB về trùng với AD'. Sau đó dùng lệnh erase để xóa đoạn AD' đi. Kết quả ta sẽ có đoạn AB song song với đoạn CD

Không phải dài dòng như vậy! Lệnh rotate:

Object: AB

Base point: A

Chọn R (Reference), chọn A, chọn B

New angle: đặt OSNAP //, bật OTRACT ON

Rà chuột đến CD. Khi đã hiện ra dấu hiệu bắt dính // -> di chuyển chuột đến vị trí gần song song với CD -> xuất hiện đường chấm chấm -> click

 

Successful!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:

 

Ngoài cách của bác SSG thì còn giải pháp dùng lisp. Bạn laod file lisp này về

dowza4.gif

Tên lệnh: ROSS

-Chọn đối tượng cần xoay (nhiều đối tượng củng được)

-Chọn điểm chuẩn thứ nhất (điềm này cũng chính là tâm xoay)

-Chọn điểm chuẩn thứ hai.

-Chọn điểm đích thứ nhất.

-Chọn điểm đích thứ hai.

Đối tượng sẽ được xoay quanh điểm chuẩn thứ nhât sao cho đoạn thẳng giả định điểm chuẩn thứ nhất, điểm chuẩn thứ hai và đoạn thẳng giả định điểm đích thứ nhất, điểm đích thứ hai là song song nhau.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:

Bạn biết lệnh tắt của torient là gì không và vào đâu để chỉnh lại theo ý mình?Chỉ cho mình với.Chân thành cảm ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn biết lệnh tắt của torient là gì không và vào đâu để chỉnh lại theo ý mình?Chỉ cho mình với.Chân thành cảm ơn.

Lệnh này nằm trong phụ trợ express. Nó chạy dưới dạng file lisp : acettxt.lsp. Bạn vào Express, kiếm file acettxt.lsp mà chỉnh lệnh tắt ở hàng

(defun c:torient

Chúc thành công. :cheers:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ngoài cách của bác SSG thì còn giải pháp dùng lisp. Bạn laod file lisp này về

dowza4.gif

Tên lệnh: ROSS

-Chọn đối tượng cần xoay (nhiều đối tượng củng được)

-Chọn điểm chuẩn thứ nhất (điềm này cũng chính là tâm xoay)

-Chọn điểm chuẩn thứ hai.

-Chọn điểm đích thứ nhất.

-Chọn điểm đích thứ hai.

Đối tượng sẽ được xoay quanh điểm chuẩn thứ nhât sao cho đoạn thẳng giả định điểm chuẩn thứ nhất, điểm chuẩn thứ hai và đoạn thẳng giả định điểm đích thứ nhất, điểm đích thứ hai là song song nhau.

lisp có vấn đề bác ơi, em lam toàn báo lỗi thôi. bác xem lại dùm e cái. thank

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Lệnh này nằm trong phụ trợ express. Nó chạy dưới dạng file lisp : acettxt.lsp. Bạn vào Express, kiếm file acettxt.lsp mà chỉnh lệnh tắt ở hàng

(defun c:torient

Chúc thành công. :cheers:

Tìm File .Lsp đấy lâu lắm , bạn vào Express ==>Tool ==>Command aliasedit ==> chọn lệnh Torient rồi gán lệnh tắt ==> ok 2 cái .

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tìm File .Lsp đấy lâu lắm , bạn vào Express ==>Tool ==>Command aliasedit ==> chọn lệnh Torient rồi gán lệnh tắt ==> ok 2 cái .

Trong express không có lệnh torient bạn ơi.Bạn kiểm tra lại giùm mình nha.Thanks.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Trong express không có lệnh torient bạn ơi.Bạn kiểm tra lại giùm mình nha.Thanks.

Vậy là bạn chưa biết hết chức năng của Command aliasedit rồi .Trong bảng Alias Editor(Express ==>Tool ==>Command aliasedit )Bạn Click vào "Add" sau đó có 1 bảng nữa hiện ra, bạn đánh lệnh "torient" vào ô "AutoCad Command" sau đó đánh lệnh tắt vào ô "Alias" ở trên...ok==>ok==>ok.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lisp có vấn đề bác ơi, em lam toàn báo lỗi thôi. bác xem lại dùm e cái. thank

Lạ nhỉ! Mình đã thử với cad14 và 2007 điều ổn cả. Bạn bị lổi như nào? copy các dòng báo lổi ném lên mình dòm tí!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình tham gia diễn đàn có muộn quá ko nhỉ!

Mình vấn dùng cách này thấy có vẻ nhanh hơn, các bạn tham khảo nhé: đầu tiên dùng lệnh UCS chuyển hệ tọa độ theo hướng của phương đối tượng cần xoay. Sau đó dùng lệnh rotate kích vào 2 điểm của phương mình muốn xoay. Vậy là xong, đối tượng đã được xoay theo hướng như mong muốn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Với 1 text thì biết ngay "đoạn thẳng giả định" tức biết góc xoay của text. Còn các đối tượng muôn hình muôn vẻ khác việc làm này rất trừu tượng, vậy nên việc bạn muốn gộp 2 lệnh với cùng 1 chức năng là cực cực khó.Có thể gộp torient vào lisp của bác DUy, chứ làm ngược lại thì ... ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đúng là ý mình muốn gộp torient vào lisp của bác Duy mà. Mình muốn sau khi chạy lisp thì có thể xoay được cả text theo đường thẳng nữa. Lisp của bác Duy chỉ hỗ trợ cho đường thẳng hay block thôi. Nếu muốn xoay text theo đường thẳng lại rất khó thực hiện

Bạn cần nói rõ thực hiện kết hợp là kết hợp ra răng ??

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

theo tôi thì chẳng cần dùng list làm gì.

Tôi thường dùng cách (hơi Nông văn dền) là để hai đối tượng giao nhau tại 1 điểm. Vẽ một cung tròn cắt hai đường cơ bản đó. dùng lệnh MI để MI đối tượng qua trục là điểm giữa cung và điểm giao nhau. sau đó MI lại lần nữa qua đường mới sẽ được kết quả.

À mà lệnh Torient là lệnh dùng để làm gì vậy nhỉ? chỉ tôi biết với

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thanks ketxu đã quan tâm. Tôi muốn kết hợp tức là khi chạy lisp có thể áp dụng cho cả text nữa. Hiện tôi dùng lisp của bác Duy thì sau khi hỏi chọn điểm gốc thứ 2 là tôi không biết làm thế nào để chọn điểm thứ 2 sao cho điểm 1-2 song song với text (nếu text nằm nghiêng). Tuy nhiên sau khi tìm kiếm thì tôi đã có được lisp rot (cũng tìm trong cadviet) quay riêng cho text song song với 1 đuờng thẳng. Bác có thể giúp tôi lần nữa là ghép lisp rot với lisp ross của bác Duy để tôi chỉ dùng 1 lệnh và load 1 lisp thôi được k. Tôi đã thử làm mấy ngày hôm nay rồi mà k thực hiện được. Thanks bác nhiều.

(defun c:Rot(/ chon goc ts dem ten ) ;--------------Text rotate -----------------------
(prompt "\nChon doi tuong can quay: ")
(setq chon (ssget))
(if (= t (null chon)) (prompt "Ban chua chon doi tuong nao. Lenh ket thuc.")
(progn
(if (null goc) (setq goc 0)) 
(prompt "Nhap goc quay doi tuong [Nhap hai diem de xac dinh goc] ") 
(princ "<")(princ (angtos goc)) (princ ">: ")
(setq goc (getangle))
(setq ts (sslength chon))
(setq dem 0)
(while (< dem ts)
(progn
(setq ten (entget (ssname chon dem)))
(setq ten (subst (cons 50 goc) (assoc 50 ten) ten )) 
(entmod ten)
(setq dem (+ 1 dem))
)
)
)
)
(princ) 
)

Góp vào để load 1 lần thì dể nhưng để thực hiện 1 lệnh thì hơi khó vì nguyên tắc làm việc của 2 lệnh hơi khác.

-lệnh ross thì chọn 1 nhóm đối tượng, 2 điểm cơ sở. 2 điểm song song và thực hiện quay cả nhóm đối tượng đó 1 lần 1 tâm quay.

-Lệnh rot thì chọn 1 nhóm đối tượng (không biết bạn post code đũ không chứ đúng ra đối tượng chọn phải giới hạn trong kiểu text thôi). chọn hai điểm song song và thực hiện quay từng đôí tượng tại điểm chèn của chính nó.

 

*Nếu muốn thì có thể chỉnh lisp ross như sau:

-Nếu đối tượng được chọn toàn bộ là text thì làm như rot, nếu có lẩn đối tượng khác thì thực hiện như ross. Được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

*Nếu muốn thì có thể chỉnh lisp ross như sau:

-Nếu đối tượng được chọn toàn bộ là text thì làm như rot, nếu có lẩn đối tượng khác thì thực hiện như ross. Được không?

Lisp của bác rất hay,Nếu bác gộp như bác nói ở trên thì quá tuyệt.Mong bác bớt thời gian gộp lại giùm cho a e có cái dùng.Thanks.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

*Nếu muốn thì có thể chỉnh lisp ross như sau:

-Nếu đối tượng được chọn toàn bộ là text thì làm như rot, nếu có lẩn đối tượng khác thì thực hiện như ross. Được không?

Bác duy dạo này không thấy trên diễn đàn,có bác nào có thể giúp gộp 2 lisp thành một để sử dụng 1 lệnh như bác duy nói.Chân thành cảm ơn trước.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

các cụ nói ko sai tẹo nào cả các bác nhỉ.

một cây làm chẳng nên non

ba cây chụm lại nên hòn núi cao.

các bác trong diễn đàn ai cũng pro hết.hok bít e khi nào mới đạt đc cạ lever như các bác nhỉ.hihi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

theo tôi thì chẳng cần dùng list làm gì.

Tôi thường dùng cách (hơi Nông văn dền) là để hai đối tượng giao nhau tại 1 điểm. Vẽ một cung tròn cắt hai đường cơ bản đó. dùng lệnh MI để MI đối tượng qua trục là điểm giữa cung và điểm giao nhau. sau đó MI lại lần nữa qua đường mới sẽ được kết quả.

À mà lệnh Torient là lệnh dùng để làm gì vậy nhỉ? chỉ tôi biết với

cách của bác này hay, nông dân nhưng dễ hiểu, dùng tư duy hình học thay cho lệnh =) Like

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×